SDL_HINT_APP_ID(3)

NAME
SDL_HINT_APP_ID - A variable setting the app ID string.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_APP_ID "SDL_APP_ID"

DESCRIPTION
This string is used by desktop compositors to identify and group windows together, as well as match applications with associated desktop settings and icons.

This will override SDL_PROP_APP_METADATA_IDENTIFIER_STRING, if set by the application.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.